Description

"Stop Editing" fails if a plugin finishes edition explicitly (not via menu).
This is because the current Window is not necessarily the view in edition (the method execute in StopEditing assumes that)
This problem has been detected in the Cartociudad plugin.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 1130: Better... Closed 09/12/2012

History
#1 - 09/07/2012 01:24 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

gvsig-desktop:r38871
Stop editing using the edition manager to find editing layer, not via GUI.

#2 - 09/07/2012 10:44 PM - Juan Lucas Domínguez
- Status changed from Fixed to New

gvsig-desktop:r38872
Restoring code. Revision 38871 was not good (affected this file only). Bug still open.

#3 - 09/10/2012 09:01 AM - Juan Lucas Domínguez
- Status changed from New to Invalid

This is not a bug. I had misunderstood how the 'edition manager' works. GUI is relevant because you can have more than one view with a layer in
editing mode.

#4 - 09/12/2012 05:09 PM - Juan Lucas Domínguez
- Status changed from Invalid to Fixed
#5 - 09/26/2012 09:31 AM - María Maluenda
- Status changed from Fixed to Under review

I need instructions in order to check the bugfix.

#6 - 10/01/2012 01:00 PM - Juan Lucas Domínguez

We cannot test this properly because the "bad situation" cannot be reproduced. All we can do is:

- create view
- add any layer
- start editing
- do some change
- stop editing

If everything is ok,  then we  must close this bug.
If there is a new bug in editing mode in the future, then we must open a new bug.

#7 - 10/01/2012 01:01 PM - Juan Lucas Domínguez
- Status changed from Under review to New

#8 - 10/01/2012 01:01 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

#9 - 10/11/2012 09:52 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in gvSIG 2056
